Ubuntu

Sync puppet 3.1.0-1 (main) from Debian experimental (main)

Reported by Benjamin Kerensa on 2013-03-03
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
puppet (Ubuntu)
Undecided
Unassigned

Bug Description

Summary (one line):
Sync puppet 3.1.0-1 (main) from Debian experimental (main)

Description:
Please sync puppet 3.1.0-1 (main) from Debian experimental (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * Resynchronise with Debian. (LP: #1023931) Remaining changes:
    - debian/puppetmaster-passenger.postinst: Make sure we error if puppet
      config print doesn't work
    - debian/puppetmaster-passenger.postinst: Ensure upgrades from
      <= 2.7.11-1 fixup passenger apache configuration.
  * Dropped upstreamed patches:
    - debian/patches/CVE-2012-1906_CVE-2012-1986_to_CVE-2012-1989.patch
    - debian/patches/puppet-12844
    - debian/patches/2.7.17-Puppet-July-2012-CVE-fixes.patch
  * Drop Build-Depends on ruby-rspec (in universe):
    - debian/control: remove ruby-rspec from Build-Depends
    - debian/patches/no-rspec.patch: make Rakefile work anyway if rspec
      isn't installed so we can use it in debian/rules.

Changelog entries since current raring version 2.7.18-1ubuntu1:

puppet (3.1.0-1) experimental; urgency=low

  * New upstream release
  * Add no-rubygems patch

 -- Stig Sandbeck Mathisen <email address hidden> Mon, 04 Mar 2013 08:48:15 +0100

CVE References

Changed in puppet (Ubuntu):
status: New → Invalid
status: Invalid → In Progress
assignee: nobody → Benjamin Kerensa (bkerensa)
Micah Gersten (micahg) wrote :

As discussed on ubuntu-devel-discuss, this should really be a released version rather than an RC. It would be great if that happened through Debian.

Changed in puppet (Ubuntu):
status: In Progress → Incomplete

3.1.0 is out and stable. Could that be used?
On Mar 3, 2013 10:10 PM, "Micah Gersten" <email address hidden>
wrote:

> As discussed on ubuntu-devel-discuss, this should really be a released
> version rather than an RC. It would be great if that happened through
> Debian.
>
> ** Changed in: puppet (Ubuntu)
> Status: In Progress => Incomplete
>
> --
> You received this bug notification because you are subscribed to puppet
> in Ubuntu.
> Matching subscriptions: puppet ubuntu
> https://bugs.launchpad.net/bugs/1143009
>
> Title:
> Sync puppet 3.0.0~rc2-1 (main) from Debian experimental (main)
>
> Status in “puppet” package in Ubuntu:
> Incomplete
>
> Bug description:
> Please sync puppet 3.0.0~rc2-1 (main) from Debian experimental (main)
>
> Explanation of the Ubuntu delta and why it can be dropped:
> * Resynchronise with Debian. (LP: #1023931) Remaining changes:
> - debian/puppetmaster-passenger.postinst: Make sure we error if
> puppet
> config print doesn't work
> - debian/puppetmaster-passenger.postinst: Ensure upgrades from
> <= 2.7.11-1 fixup passenger apache configuration.
> * Dropped upstreamed patches:
> - debian/patches/CVE-2012-1906_CVE-2012-1986_to_CVE-2012-1989.patch
> - debian/patches/puppet-12844
> - debian/patches/2.7.17-Puppet-July-2012-CVE-fixes.patch
> * Drop Build-Depends on ruby-rspec (in universe):
> - debian/control: remove ruby-rspec from Build-Depends
> - debian/patches/no-rspec.patch: make Rakefile work anyway if rspec
> isn't installed so we can use it in debian/rules.
>
>
> Changelog entries since current raring version 2.7.18-1ubuntu1:
>
> puppet (3.0.0~rc2-1) experimental; urgency=low
>
> * Imported Upstream version 3.0.0~rc2
> * Rename configuration file /etc/apache2/sites-available/puppetmaster
> to
> puppetmaster.conf to match apache2 policy change (Closes: #673970)
> * Check if a2dissite is present for postrm (Closes: #674011)
> * Workaround apache2 a2* utils API change to stay compatible to both
> apache 2.2 and 2.4
> * Add description to no-rubygems patch
> * Add lintian override for unit tests having hashbang, and not being
> executable
> * Refactor puppetmaster-passenger postinst and postrm scripts
>
> -- Stig Sandbeck Mathisen <email address hidden> Thu, 24 May 2012 21:58:39
> +0200
>
> puppet (3.0.0~rc1-1) experimental; urgency=low
>
> * Imported Upstream version 3.0.0~rc1
> * Depend on facter 2 or newer
> * Remove installation of standalone commands and their manpages, they
> are no longer provided upstream (filebucket, pi, puppetdoc, ralsh,
> puppetca, puppetd, puppetmasterd, puppetqd, and puppetrun)
> * Remove backported patch for "runit"
> * Disable patch for test library path
> * Use a packaging dependency to check rspec version
>
> -- Stig Sandbeck Mathisen <email address hidden> Fri, 18 May 2012 18:57:34
> +0200
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/puppet/+bug/1143009/+subscriptions
>

@Micah: Hi, This we actually just a test I was doing at our jam today but we did discuss plans to land a newer version of puppet and I do agree it would be most appropriate to have a released version and get that through debian.

@Michael: Hi, So we would love to land a newer version of puppet and it seems Nigel is the maintainer in Debian so if he could bring debian up to a newer released version we could indeed sync that down instead of carrying a delta.... Debian is currently in freeze but I think it might be possible for him to upload a new released version to experimental and then we could sync? (Micah ??)

On Mon, Mar 04, 2013 at 07:59:33AM -0000, Benjamin Kerensa wrote:
> @Micah: Hi, This we actually just a test I was doing at our jam today
> but we did discuss plans to land a newer version of puppet and I do
> agree it would be most appropriate to have a released version and get
> that through debian.
>
> @Michael: Hi, So we would love to land a newer version of puppet and
> it seems Nigel is the maintainer in Debian so if he could bring
> debian up to a newer released version we could indeed sync that down
> instead of carrying a delta.... Debian is currently in freeze but I
> think it might be possible for him to upload a new released version
> to experimental and then we could sync? (Micah ??)

I'll push the 3.1 release to Debian experimental.

Benjamin Kerensa (bkerensa) wrote :

Since maintainer upstream has updated experimental to a release version I think this sync request would now be a valid candidate.

description: updated
summary: - Sync puppet 3.0.0~rc2-1 (main) from Debian experimental (main)
+ Sync puppet 3.1.0-1 (main) from Debian experimental (main)
Changed in puppet (Ubuntu):
status: Incomplete → Confirmed
Adam Gandelman (gandelman-a) wrote :

Ben-

With the information you've provided I'm not convinced this is a sync but a merge. You've listed some of our delta but gave no reason why any of it should be dropped.

After a quick closer look:

- The *.postinst changes still look valid, but you haven't specified why they can be dropped. (aside: It looks like these changes would be suitable candidates for submitting to debian in the future to reduce the delta?)
- Looks like ruby-rspec was actually promoted from universe to main in Q, so we can probably Build-Depend on it again and drop the patch but I'd like a build test to confirm. Otherwise, the patch needs to be rebased against 3.1.0.
- The security patches you've listed were already dropped in a Quantal upload.

On Thu, Mar 07, 2013 at 06:59:44PM -0000, Adam Gandelman wrote:

> - The *.postinst changes still look valid, but you haven't specified
> why they can be dropped. (aside: It looks like these changes
> would be suitable candidates for submitting to debian in the
> future to reduce the delta?)

How would I be able to see these changes? I'm not too familiar with
the ubuntu packaging helpers and tools, but I'd love to be able to
reduce the differences between the Ubuntu and Debian versions.

Adam Gandelman (gandelman-a) wrote :

Stig, there are several ways. In this case, I did 'bzr branch lp:ubuntu/puppet && cd puppet && bzr merge lp:debian/experimental/puppet'. Alternatively, you can just dget the source packages from packages.ubuntu.com + packages.debian.org and generate a debdiff. Here are is the Ubuntu delta from puppetmaster-passenger.postinst that I mentioned http://paste.ubuntu.com/5594395/

Benjamin Kerensa (bkerensa) wrote :

Stig,

Let me know if you plan to take some of these changes upstream... I wonder why we didn't forward them :) anyways if need be I can propose a Merge proposal but I would like to reduce the deltas too.

Matthaus Owens (matthaus-m) wrote :

Yes, please forward them. :)

On Thu, Mar 7, 2013 at 2:30 PM, Benjamin Kerensa <email address hidden> wrote:
> Stig,
>
> Let me know if you plan to take some of these changes upstream... I
> wonder why we didn't forward them :) anyways if need be I can propose a
> Merge proposal but I would like to reduce the deltas too.
>
> --
> You received this bug notification because you are subscribed to puppet
> in Ubuntu.
> Matching subscriptions: Puppet Ubuntu Bugs
> https://bugs.launchpad.net/bugs/1143009
>
> Title:
> Sync puppet 3.1.0-1 (main) from Debian experimental (main)
>
> Status in “puppet” package in Ubuntu:
> Confirmed
>
> Bug description:
> Summary (one line):
> Sync puppet 3.1.0-1 (main) from Debian experimental (main)
>
> Description:
> Please sync puppet 3.1.0-1 (main) from Debian experimental (main)
>
> Explanation of the Ubuntu delta and why it can be dropped:
> * Resynchronise with Debian. (LP: #1023931) Remaining changes:
> - debian/puppetmaster-passenger.postinst: Make sure we error if puppet
> config print doesn't work
> - debian/puppetmaster-passenger.postinst: Ensure upgrades from
> <= 2.7.11-1 fixup passenger apache configuration.
> * Dropped upstreamed patches:
> - debian/patches/CVE-2012-1906_CVE-2012-1986_to_CVE-2012-1989.patch
> - debian/patches/puppet-12844
> - debian/patches/2.7.17-Puppet-July-2012-CVE-fixes.patch
> * Drop Build-Depends on ruby-rspec (in universe):
> - debian/control: remove ruby-rspec from Build-Depends
> - debian/patches/no-rspec.patch: make Rakefile work anyway if rspec
> isn't installed so we can use it in debian/rules.
>
>
> Changelog entries since current raring version 2.7.18-1ubuntu1:
>
> puppet (3.1.0-1) experimental; urgency=low
>
> * New upstream release
> * Add no-rubygems patch
>
> -- Stig Sandbeck Mathisen <email address hidden> Mon, 04 Mar 2013 08:48:15
> +0100
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/puppet/+bug/1143009/+subscriptions

--
Matthaus Owens
Release Manager, Puppet Labs

Changed in puppet (Ubuntu):
assignee: Benjamin Kerensa (bkerensa) → nobody
assignee: nobody → Adam Gandelman (gandelman-a)
Changed in puppet (Ubuntu):
assignee: Adam Gandelman (gandelman-a) → nobody
Dave Walker (davewalker) wrote :

On 7 March 2013 21:53, Adam Gandelman <email address hidden> wrote:
> Stig, there are several ways. In this case, I did 'bzr branch
> lp:ubuntu/puppet && cd puppet && bzr merge
> lp:debian/experimental/puppet'. Alternatively, you can just dget the
> source packages from packages.ubuntu.com + packages.debian.org and
> generate a debdiff. Here are is the Ubuntu delta from puppetmaster-
> passenger.postinst that I mentioned http://paste.ubuntu.com/5594395/

Another option is to look at the the Debian QA page for a package, the
bottom right is a section titled Ubuntu. Under there is a "Patches
for $ubuntu-version" - which links to a debdiff.

For example, http://packages.qa.debian.org/p/puppet.html

However, yes - it is unfortunate that the delta has grown, and it
would be good if we could reduce it this cycle.

Thanks.

Changed in puppet (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers